Subject: bug#62666: closed (Re: [bug#62666] [PATCH v3] gnu: Add aflplusplus.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 25 Jan 2024 16:36:02 +0000

Your bug report

#62666: [PATCH 0/2] Add aflplusplus

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62666: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62666
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#62666] [PATCH v3] gnu: Add aflplusplus.
From: Hilton Chain <[email-masked]>
To: Denis 'GNUtoo' Carikli <[email-masked]>
Cc: [email-masked]
Date: Fri, 26 Jan 2024 00:35:10 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Denis,

On Wed, 24 Jan 2024 08:09:45 +0800,
Denis 'GNUtoo' Carikli wrote:
>
> [1  <text/plain; US-ASCII (quoted-printable)>]
> On Mon,  8 Jan 2024 16:19:00 +0800
> Hilton Chain <[email-masked]> wrote:
> > Hi Denis,
> Hi,
>
> > Aplogies for the long delay...
> >
> > I have adjusted the phases for proper cross-compilation support and
> > updated the package to the latest version.
> >
> > I'm sending out v3 mainly for QA purpose, I'll push it if there's no
> > further issue.
> >
> > Thanks
>
> Thanks a lot for improving this patch.
>
> I've a question though: in the mumi instance
> (https://issues.guix.gnu.org/62666) it still says QA Unknown.
>
> Do I need to do something on my side?

Applied as 06221e910a5718c7d4ad2dcc7ffad2bc8e92fdc5 !

Subject: [PATCH 0/2] Add aflplusplus
From: Denis 'GNUtoo' Carikli <[email-masked]>
To: [email-masked]
Cc: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Tue, 4 Apr 2023 19:44:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Here's two patches to add aflplusplus. I've also patches (not part of this
serie) to add support for faster compilers with GCC plugins, but when I do
that it somehow fails to run:
$ cat main.c
int main()
{
	printf("Hello world\n");
}
$ afl-gcc-fast ./main.c 
afl-cc++4.05c by Michal Zalewski, Laszlo Szekeres, Marc Heuse - mode: GCC_PLUGIN-DEFAULT
cc1: error: cannot load plugin /gnu/store/sx55p7b4r21kiw7sagi8cb8ff6zmvmqd-aflplusplus-4.05c/bin/../lib/afl//afl-gcc-pass.so: /gnu/store/sx55p7b4r21kiw7sagi8cb8ff6zmvmqd-aflplusplus-4.05c/bin/../lib/afl//afl-gcc-pass.so: undefined symbol: _Z30gimple_build_call_internal_vec11internal_fn3vecIP9tree_node7va_heap6vl_ptrE

So I limited that serie to what works well.

Denis 'GNUtoo' Carikli (2):
  gnu: Add aflplusplus.
  gnu: aflplusplus: Add python support

 gnu/packages/debug.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

base-commit: b9c9c23939a40a850a8c78579adaec25d1972bd1
-- 
2.39.1